/*
 * PCA calculation treatment of gaps (and C->R score) changed in Jalview 2.10.2.
 * To restore behaviour prior as at 2.10.1, run the script below
 * NB this will change Tree calculations using similarity matrices
 */

/*
 * START 2.10.1 mode script
 */
import jalview.schemes.ResidueProperties 

for (int row = 0 ; row <= ResidueProperties.maxProteinIndex; row++) 
{ 
  ResidueProperties.BLOSUM62[row][23] = ResidueProperties.BLOSUM62[row][22] 
  ResidueProperties.BLOSUM62[23][row] = ResidueProperties.BLOSUM62[row][22] 
  ResidueProperties.PAM250[row][23] = ResidueProperties.PAM250[row][22] 
  ResidueProperties.PAM250[23][row] = ResidueProperties.PAM250[row][22] 
} 
ResidueProperties.BLOSUM62[4][1]=3 // C-R score
for (int row = 0 ; row <= ResidueProperties.maxNucleotideIndex; row++) 
{ 
  ResidueProperties.DNA[row][10] = ResidueProperties.DNA[row][9] 
  ResidueProperties.DNA[10][row] = ResidueProperties.DNA[row][9] 
}
/*
 * END 2.10.1 mode script
 */

/*
 * To reinstate 2.10.2 calculation mode, including Tree calculations,
 * run the script below
 */
/*
 * START 2.10.2 mode script
 */
 import jalview.schemes.ResidueProperties 

for (int row = 0 ; row < ResidueProperties.maxProteinIndex; row++) 
{ 
  ResidueProperties.BLOSUM62[row][23] = -4 
  ResidueProperties.BLOSUM62[23][row] = -4 
  ResidueProperties.PAM250[row][23] = -8 
  ResidueProperties.PAM250[23][row] = -8 
} 
ResidueProperties.BLOSUM62[23][23] = 1 
ResidueProperties.PAM250[23][23] = 1 
ResidueProperties.BLOSUM62[4][1]=-3 // C-R score
for (int row = 0 ; row <= ResidueProperties.maxNucleotideIndex; row++) 
{ 
  ResidueProperties.DNA[row][10] = 1 
  ResidueProperties.DNA[10][row] = 1 
}
/*
 * END 2.10.2 mode script
 */
